## yorick-hdf5 0.6

=== Makefile ===
# $Id: Makefile,v 1.3 2005/11/10 01:03:41 frigaut Exp $
Y_MAKEDIR=/Users/frigaut/yorick-2.1/Darwin-Power_Macintosh
Y_EXE=/Users/frigaut/yorick-2.1/Darwin-Power_Macintosh/bin/yorick
Y_EXE_PKGS=
Y_EXE_HOME=/Users/frigaut/yorick-2.1/Darwin-Power_Macintosh
Y_EXE_SITE=/Users/frigaut/yorick-2.1

# ----------------------------------------------------- optimization flags

COPT=$(COPT_DEFAULT)
TGT=$(DEFAULT_TGT)

# ------------------------------------------------ macros for this package

PKG_NAME=hdf5
PKG_I=hdf5.i

OBJS=hdf5.o

# change to give the executable a name other than yorick
PKG_EXENAME=yorick

# PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
PKG_DEPLIBS=-L/usr/local/lib -lhdf5
# set compiler or loader (rare) flags specific to this package
PKG_CFLAGS=-I/usr/local/include
PKG_LDFLAGS=

# list of additional package names you want in PKG_EXENAME
# (typically Y_EXE_PKGS should be first here)
EXTRA_PKGS=$(Y_EXE_PKGS)

# list of additional files for clean
PKG_CLEAN=

# autoload file for this package, if any
PKG_I_START=yhdf5.i

# -------------------------------- standard targets and rules (in Makepkg)

# set macros Makepkg uses in target and dependency names
# DLL_TARGETS, LIB_TARGETS, EXE_TARGETS
# are any additional targets (defined below) prerequisite to
# the plugin library, archive library, and executable, respectively
PKG_I_DEPS=$(PKG_I)

include $(Y_MAKEDIR)/Make.cfg
include $(Y_MAKEDIR)/Makepkg
include $(Y_MAKEDIR)/Make$(TGT)

# override macros Makepkg sets for rules and other macros
# Y_HOME and Y_SITE in Make.cfg may not be correct (e.g.- relocatable)
Y_HOME=$(Y_EXE_HOME)
Y_SITE=$(Y_EXE_SITE)

# reduce chance of yorick-1.5 corrupting this Makefile
MAKE_TEMPLATE = protect-against-1.5

# ------------------------------------- targets and rules for this package

# simple example:
#myfunc.o: myapi.h
# more complex example (also consider using PKG_CFLAGS above):
#myfunc.o: myapi.h myfunc.c
#	$(CC) $(CPPFLAGS) $(CFLAGS) -DMY_SWITCH -o $@ -c myfunc.c

# -------------------------------------------------------- end of Makefile

# for the binary package production:
PKG_DEPLIBS_STATIC=-lm /usr/local/lib/libhdf5.a -lz
PKG_OS = macosx
# or linux or windows
PKG_VERSION = $(shell (awk '{if ($$1=="Version:") print $$2}' $(PKG_NAME).info))
# .info might not exist, in which case he line above will exit in error.

package:
	$(MAKE)
	$(LD_DLL) -o $(PKG_NAME).so $(OBJS) ywrap.o $(PKG_DEPLIBS_STATIC) $(DLL_DEF)
	mkdir -p binaries/$(PKG_NAME)/dist/y_home/lib
	mkdir -p binaries/$(PKG_NAME)/dist/y_home/i-start
	mkdir -p binaries/$(PKG_NAME)/dist/y_site/i0
	cp -p $(PKG_I) binaries/$(PKG_NAME)/dist/y_site/i0/
	cp -p $(PKG_NAME).so binaries/$(PKG_NAME)/dist/y_home/lib/
	if test -f "check.i"; then cp -p check.i binaries/$(PKG_NAME)/.; fi
	if test -n "$(PKG_I_START)"; then cp -p $(PKG_I_START) \
	  binaries/$(PKG_NAME)/dist/y_home/i-start/; fi
	cat $(PKG_NAME).info | sed -e 's/OS:/OS: $(PKG_OS)/' > tmp.info
	mv tmp.info binaries/$(PKG_NAME)/$(PKG_NAME).info
	cd binaries; tar zcvf $(PKG_NAME)-$(PKG_VERSION)-$(PKG_OS).tgz $(PKG_NAME)

distbin:
	if test -f "binaries/$(PKG_NAME)-$(PKG_VERSION)-$(PKG_OS).tgz" ; then \
	  ncftpput -f /Users/frigaut/.ncftp/maumae www/yorick/packages/$(PKG_OS)/tarballs/ \
	  binaries/$(PKG_NAME)-$(PKG_VERSION)-$(PKG_OS).tgz; fi
	if test -f "binaries/$(PKG_NAME)/$(PKG_NAME).info" ; then \
	  ncftpput -f /Users/frigaut/.ncftp/maumae www/yorick/packages/$(PKG_OS)/info/ \
	  binaries/$(PKG_NAME)/$(PKG_NAME).info; fi

distsrc:
	make clean; rm -rf binaries
	cd ..; tar --exclude binaries --exclude .svn -zcvf \
	   $(PKG_NAME)-$(PKG_VERSION)-src.tgz $(PKG_NAME);\
	ncftpput -f /Users/frigaut/.ncftp/maumae www/yorick/packages/src/ \
	   $(PKG_NAME)-$(PKG_VERSION)-src.tgz


# -------------------------------------------------------- end of Makefile

## yorick-hdf5 0.6.1

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
-# $Id: Makefile,v 1.3 2005/11/10 01:03:41 frigaut Exp $
-Y_MAKEDIR=/Users/frigaut/yorick-2.1/Darwin-Power_Macintosh
-Y_EXE=/Users/frigaut/yorick-2.1/Darwin-Power_Macintosh/bin/yorick
+# $Id: Makefile,v 1.1.1.1 2007/12/27 15:10:24 frigaut Exp $
+Y_MAKEDIR=/usr/lib/yorick
+Y_EXE=/usr/lib/yorick/bin/yorick
 Y_EXE_PKGS=
-Y_EXE_HOME=/Users/frigaut/yorick-2.1/Darwin-Power_Macintosh
-Y_EXE_SITE=/Users/frigaut/yorick-2.1
+Y_EXE_HOME=/usr/lib/yorick
+Y_EXE_SITE=/usr/lib/yorick
 
 # ----------------------------------------------------- optimization flags
 
@@ -21,9 +21,9 @@
 PKG_EXENAME=yorick
 
 # PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
-PKG_DEPLIBS=-L/usr/local/lib -lhdf5
+PKG_DEPLIBS=-lhdf5 -lz
 # set compiler or loader (rare) flags specific to this package
-PKG_CFLAGS=-I/usr/local/include
+PKG_CFLAGS=
 PKG_LDFLAGS=
 
 # list of additional package names you want in PKG_EXENAME
@@ -34,7 +34,7 @@
 PKG_CLEAN=
 
 # autoload file for this package, if any
-PKG_I_START=yhdf5.i
+PKG_I_START=hdf5_start.i
 
 # -------------------------------- standard targets and rules (in Makepkg)
 
@@ -64,14 +64,22 @@
 #myfunc.o: myapi.h myfunc.c
 #	$(CC) $(CPPFLAGS) $(CFLAGS) -DMY_SWITCH -o $@ -c myfunc.c
 
+clean::
+	-rm -rf binaries
+
 # -------------------------------------------------------- end of Makefile
 
-# for the binary package production:
-PKG_DEPLIBS_STATIC=-lm /usr/local/lib/libhdf5.a -lz
-PKG_OS = macosx
+
+# for the binary package production (add full path to lib*.a below):
+# macosx:
+PKG_DEPLIBS_STATIC=-lm -lz /usr/lib/libhdf5.a
+PKG_ARCH = $(OSTYPE)-$(MACHTYPE)
 # or linux or windows
 PKG_VERSION = $(shell (awk '{if ($$1=="Version:") print $$2}' $(PKG_NAME).info))
 # .info might not exist, in which case he line above will exit in error.
+
+# packages or devel_pkgs:
+PKG_DEST_URL = packages
 
 package:
 	$(MAKE)
@@ -84,23 +92,25 @@
 	if test -f "check.i"; then cp -p check.i binaries/$(PKG_NAME)/.; fi
 	if test -n "$(PKG_I_START)"; then cp -p $(PKG_I_START) \
 	  binaries/$(PKG_NAME)/dist/y_home/i-start/; fi
-	cat $(PKG_NAME).info | sed -e 's/OS:/OS: $(PKG_OS)/' > tmp.info
+	cat $(PKG_NAME).info | sed -e 's/OS:/OS: $(PKG_ARCH)/' > tmp.info
 	mv tmp.info binaries/$(PKG_NAME)/$(PKG_NAME).info
-	cd binaries; tar zcvf $(PKG_NAME)-$(PKG_VERSION)-$(PKG_OS).tgz $(PKG_NAME)
+	cd binaries; tar zcvf $(PKG_NAME)-$(PKG_VERSION)-$(PKG_ARCH).tgz $(PKG_NAME)
 
-distbin:
-	if test -f "binaries/$(PKG_NAME)-$(PKG_VERSION)-$(PKG_OS).tgz" ; then \
-	  ncftpput -f /Users/frigaut/.ncftp/maumae www/yorick/packages/$(PKG_OS)/tarballs/ \
-	  binaries/$(PKG_NAME)-$(PKG_VERSION)-$(PKG_OS).tgz; fi
+distbin: package
+	if test -f "binaries/$(PKG_NAME)-$(PKG_VERSION)-$(PKG_ARCH).tgz" ; then \
+	  ncftpput -f $(HOME)/.ncftp/maumae www/yorick/$(PKG_DEST_URL)/$(PKG_ARCH)/tarballs/ \
+	  binaries/$(PKG_NAME)-$(PKG_VERSION)-$(PKG_ARCH).tgz; fi
 	if test -f "binaries/$(PKG_NAME)/$(PKG_NAME).info" ; then \
-	  ncftpput -f /Users/frigaut/.ncftp/maumae www/yorick/packages/$(PKG_OS)/info/ \
+	  ncftpput -f $(HOME)/.ncftp/maumae www/yorick/$(PKG_DEST_URL)/$(PKG_ARCH)/info/ \
 	  binaries/$(PKG_NAME)/$(PKG_NAME).info; fi
 
 distsrc:
 	make clean; rm -rf binaries
 	cd ..; tar --exclude binaries --exclude .svn -zcvf \
-	   $(PKG_NAME)-$(PKG_VERSION)-src.tgz $(PKG_NAME);\
-	ncftpput -f /Users/frigaut/.ncftp/maumae www/yorick/packages/src/ \
+	   $(PKG_NAME)-$(PKG_VERSION)-src.tgz yorick-$(PKG_NAME)-$(PKG_VERSION);\
+	ncftpput -f $(HOME)/.ncftp/maumae www/yorick/$(PKG_DEST_URL)/src/ \
+	   $(PKG_NAME)-$(PKG_VERSION)-src.tgz
+	cd ..; ncftpput -f $(HOME)/.ncftp/maumae www/yorick/contrib/ \
 	   $(PKG_NAME)-$(PKG_VERSION)-src.tgz

## yorick-hdf5 0.8.0

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
-# $Id: Makefile,v 1.1.1.1 2007/12/27 15:10:24 frigaut Exp $
-Y_MAKEDIR=/usr/lib/yorick
-Y_EXE=/usr/lib/yorick/bin/yorick
+# $Id: Makefile,v 1.3 2008/11/21 16:19:17 frigaut Exp $
+Y_MAKEDIR=/home/frigaut/yorick-2.1.05x-arch
+Y_EXE=/home/frigaut/yorick-2.1.05x-arch/bin/yorick
 Y_EXE_PKGS=
-Y_EXE_HOME=/usr/lib/yorick
-Y_EXE_SITE=/usr/lib/yorick
+Y_EXE_HOME=/home/frigaut/yorick-2.1.05x-arch
+Y_EXE_SITE=/home/frigaut/yorick-2.1.05x-arch
 
 # ----------------------------------------------------- optimization flags
 
@@ -13,7 +13,7 @@
 # ------------------------------------------------ macros for this package
 
 PKG_NAME=hdf5
-PKG_I=hdf5.i
+PKG_I=hdf5.i h5scan_fromshell.i h5convert_fromshell.i
 
 OBJS=hdf5.o
 
@@ -23,8 +23,15 @@
 # PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
 PKG_DEPLIBS=-lhdf5 -lz
 # set compiler or loader (rare) flags specific to this package
-PKG_CFLAGS=
-PKG_LDFLAGS=
+# yorick-hdf5 was written for hdf5 v1.6. Some distro (e.g. f9) have
+# moved to v1.8, which has incompatible APIs. Fortunately, hdf5
+# developers have provided a way to expose the v1.6 APIs:
+PKG_CFLAGS=-D H5_USE_16_API
+PKG_LDFLAGS=-D H5_USE_16_API
+# another solution is to build hdf5 v1.6 (e.g. in /usr/local) and
+# use this:
+# PKG_CFLAGS=-I/usr/local/include
+# PKG_LDFLAGS=-L/usr/local/lib -lhdf5 -Wl,--rpath=/usr/local/lib
 
 # list of additional package names you want in PKG_EXENAME
 # (typically Y_EXE_PKGS should be first here)
@@ -87,8 +94,11 @@
 	mkdir -p binaries/$(PKG_NAME)/dist/y_home/lib
 	mkdir -p binaries/$(PKG_NAME)/dist/y_home/i-start
 	mkdir -p binaries/$(PKG_NAME)/dist/y_site/i0
+	mkdir -p binaries/$(PKG_NAME)/dist/y_home/bin
 	cp -p $(PKG_I) binaries/$(PKG_NAME)/dist/y_site/i0/
 	cp -p $(PKG_NAME).so binaries/$(PKG_NAME)/dist/y_home/lib/
+	cp -p h5info binaries/$(PKG_NAME)/dist/y_home/bin/.
+	cp -p h5convert binaries/$(PKG_NAME)/dist/y_home/bin/.
 	if test -f "check.i"; then cp -p check.i binaries/$(PKG_NAME)/.; fi
 	if test -n "$(PKG_I_START)"; then cp -p $(PKG_I_START) \
 	  binaries/$(PKG_NAME)/dist/y_home/i-start/; fi
@@ -106,7 +116,7 @@
 
 distsrc:
 	make clean; rm -rf binaries
-	cd ..; tar --exclude binaries --exclude .svn -zcvf \
+	cd ..; tar --exclude binaries --exclude .svn --exclude CVS --exclude *.spec -zcvf \
 	   $(PKG_NAME)-$(PKG_VERSION)-src.tgz yorick-$(PKG_NAME)-$(PKG_VERSION);\
 	ncftpput -f $(HOME)/.ncftp/maumae www/yorick/$(PKG_DEST_URL)/src/ \
 	   $(PKG_NAME)-$(PKG_VERSION)-src.tgz

=== debian/changelog ===
yorick-hdf5 (0.8.0-8) unstable; urgency=high

  * Reupload to unstable.

 -- Thibaut Paumard <thibaut@debian.org>  Fri, 02 Dec 2016 16:03:21 +0100

yorick-hdf5 (0.8.0-7) experimental; urgency=medium

  * Bug fix: "FTBFS against HDF5 v1.10", thanks to Gilles Filippini
    (Closes: #842817).
  * Check against Policy 3.9.8.

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 02 Nov 2016 11:43:31 +0100

yorick-hdf5 (0.8.0-6) experimental; urgency=high

  * Make yorick-hdf5 compile with HDF5 v1.10. The package is still broken
    on 32-bit arches, although it builds fine, so not closing the bug
    (#842817).

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 02 Nov 2016 11:29:21 +0100

yorick-hdf5 (0.8.0-5) unstable; urgency=medium

  * Team upload.
  * Support hdf5 1.8.13 new packaging layout (closes: #756703).

 -- Gilles Filippini <pini@debian.org>  Sun, 03 Aug 2014 12:40:36 +0200

yorick-hdf5 (0.8.0-4) unstable; urgency=low

  * Fortify (don't rely on yorick to provide right flags)

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Thu, 28 Jun 2012 17:39:22 +0200

yorick-hdf5 (0.8.0-3) unstable; urgency=low

  * Amend debian/control to abide by Debian Science Policy
  * Patch Makefile instead of running yorick -batch make.i
  * Simplfiy debian/rules with short dh notation
  * Deactivate pre-0.6.2 bug warning, its really old.

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 27 Jun 2012 11:26:58 +0200

yorick-hdf5 (0.8.0-2) unstable; urgency=low

  * Change HDF5 build dep.
  * Use "3.0 (quilt)" format.
  * Bump standards version.

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Mon, 23 Jan 2012 22:33:21 +0100

yorick-hdf5 (0.8.0-1) unstable; urgency=low

  * New upstream release (Closes: #556923)
  * Use quilt for patch management
  * Checked against policy 3.8.3

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 18 Nov 2009 13:02:06 +0100

yorick-hdf5 (0.6.1-2) unstable; urgency=low

  * Bug fix: "yorick-hdf5: FTBFS: /usr/bin/make: invalid option -- 2",
    thanks to Lucas Nussbaum (Closes: #476034). CFLAGS was passed as
    argument to make in debian/rules in a way that just breaks.

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 15 Apr 2008 17:23:59 +0200

yorick-hdf5 (0.6.1-1) unstable; urgency=low

  * New upstream release
  * debian/watch: file added
  * debian/rules: converted to dh_installyorick
     * added debian/ynstall
     * added debian/yorick-hdf5.packinfo
     * added debian/yorick-hdf5.keywords
  * debian/control:
     * DM-Upload-Allowed field added
     * upgraded to Standards-Version: 3.7.3.0
     * upgrade build dependency on yorick-dev
       (>= 2.1.05+dfsg-2~bpo40+1)
  * debian/copyright: updated and converted to the machine-readable format
    proposed at http://wiki.debian.org/Proposals/CopyrightFormat

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 15 Jan 2008 11:05:31 +0100

yorick-hdf5 (0.6-1) unstable; urgency=low

  * Initial Release. Closes: #366705

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Fri, 12 May 2006 19:10:20 +0200

=== debian/control ===
Source: yorick-hdf5
Section: science
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thibaut Paumard <thibaut@debian.org>
Build-Depends: debhelper (>= 9), yorick-dev (>= 2.1.05+dfsg-2~bpo40+1), libhdf5-dev (>= 1.10~)
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/yorick-hdf5.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=debian-science/packages/yorick-hdf5.git

Package: yorick-hdf5
Architecture: any
Depends: yorick (>= 1.6.02), ${shlibs:Depends}, ${misc:Depends}
Description: Hierarchical Data Format 5 interface for the Yorick language
 HDF5 is the yorick interface plugin to the NCSA Hierarchical Data Format
 version 5. It includes function for reading, writing, updating, getting
 information on HDF5 files.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
  export DEB_CPPFLAGS_MAINT_APPEND := -I/usr/include/hdf5/serial
  export DEB_LDFLAGS_MAINT_APPEND := -Wl,-L/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
endif

%:
	dh $@

override_dh_auto_build:
	$(MAKE) COPT_DEFAULT="" \
	        Y_CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
	        Y_LDFLAGS="$(LDFLAGS)"

override_dh_auto_install-arch:
	dh_installyorick

override_dh_auto_clean:
	[ ! -f /usr/lib/yorick/Make.cfg ] || $(MAKE) Y_MAKEDIR=/usr/lib/yorick Y_EXE=/usr/bin/yorick clean
